#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	vala		# do not build Vala API
#
Summary:	A GLib library to ease writing telepathy clients
Summary(pl.UTF-8):	Biblioteka oparta na GLib dla aplikacji służących do komunikacji
Name:		telepathy-glib
Version:	0.19.6
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://telepathy.freedesktop.org/releases/telepathy-glib/%{name}-%{version}.tar.gz
# Source0-md5:	5fa6ecdb3f2b2a18d9a707e5d09fa8c7
URL:		http://telepathy.freedesktop.org/wiki/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.11
BuildRequires:	dbus-devel >= 0.95
BuildRequires:	dbus-glib-devel >= 0.90
BuildRequires:	docbook-dtd412-xml
BuildRequires:	glib2-devel >= 1:2.30.0
BuildRequires:	gobject-introspection-devel >= 1.30.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.17}
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig >= 0.21
BuildRequires:	python-modules >= 2.5
%{?with_vala:BuildRequires:	vala >= 2:0.14.0}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
telepathy-glib is a D-Bus framework for unifying real time
communication, including instant messaging, voice calls and video
calls. It abstracts differences between protocols to provide a unified
interface for applications.

%description -l pl.UTF-8
telepathy-glib jest szkieletem opartym na D-Bus ujednolicającym
komunikację w czasie rzeczywistym, włączając w to komunikatory oraz
komunikację głosową i za pośrednictwem wideo. Zasłania warstwą
abstrakcji różnice pomiędzy protokołami dostarczając jednolity
interfejs dla aplikacji.

%package devel
Summary:	Header files for telepathy-glib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki telepathy-glib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-glib-devel >= 0.90
Requires:	glib2-devel >= 1:2.30.0

%description devel
Header files for telepathy-glib library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki telepathy-glib.

%package static
Summary:	Static telepathy-glib library
Summary(pl.UTF-8):	Statyczna biblioteka telepathy-glib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static telepathy-glib library.

%description static -l pl.UTF-8
Statyczna biblioteka telepathy-glib.

%package apidocs
Summary:	telepathy-glib API documentation
Summary(pl.UTF-8):	Dokumentacja API telepathy-glib
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
telepathy-glib API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API telepathy-glib.

%package -n vala-telepathy-glib
Summary:	telepathy-glib API for Vala language
Summary(pl.UTF-8):	API telepathy-glib dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description -n vala-telepathy-glib
telepathy-glib API for Vala language.

%description -n vala-telepathy-glib -l pl.UTF-8
API telepathy-glib dla języka Vala.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{__enable_disable apidocs gtk-doc} \
	--enable-introspection \
	%{__enable_disable vala vala-bindings} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libtelepathy-glib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtelepathy-glib.so.0
%{_libdir}/girepository-1.0/*.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtelepathy-glib.so
%{_libdir}/libtelepathy-glib.la
%dir %{_includedir}/telepathy-1.0
%dir %{_includedir}/telepathy-1.0/telepathy-glib
%dir %{_includedir}/telepathy-1.0/telepathy-glib/_gen
%{_includedir}/telepathy-1.0/telepathy-glib/*.h
%{_includedir}/telepathy-1.0/telepathy-glib/_gen/*.h
%{_pkgconfigdir}/telepathy-glib.pc
%{_datadir}/gir-1.0/*.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libtelepathy-glib.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/telepathy-glib
%endif

%if %{with vala}
%files -n vala-telepathy-glib
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/telepathy-glib.deps
%{_datadir}/vala/vapi/telepathy-glib.vapi
%endif
%changelog
* Mon Aug 13 2012 Łukasz Kieś <kiesiu@pld-linux.org> f6dc4bd
- updated to 0.19.6
- moved Vala API files to seperate package

* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> cc26f81
- up to 0.19.5

* Wed May 09 2012 Łukasz Kieś <kiesiu@pld-linux.org> 21b7cad
- updated to 0.18.1

* Mon Apr 02 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 8c0b108
- updated to 0.18.0

* Sun Apr 01 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 65fd07c
- merged from DEVEL

* Mon Jan 30 2012 lisu <lisu@pld-linux.org> a4e827e
- up to 0.16.4

* Mon Nov 21 2011 lisu <lisu@pld-linux.org> 8153902
- updated epoch for vala BR
- rel 2

* Tue Nov 01 2011 Łukasz Kieś <kiesiu@pld-linux.org> 0a11c18
- updated to 0.16.1

* Mon Oct 24 2011 Łukasz Kieś <kiesiu@pld-linux.org> c871c96
- updated to 0.16.0

* Fri Sep 30 2011 Artur Frysiak <artur@frysiak.net> c1045f6
- up to 0.15.5

* Tue May 31 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 1f4b48b
- updated to 0.14.7

* Thu Apr 28 2011 Marcin Banasiak <marcin.banasiak@gmail.com> c50b85f
- updated to 0.14.5

* Wed Apr 13 2011 Caleb Maclennan <caleb@alerque.com> c3c9dde
- Up to 0.14.3

* Wed Mar 23 2011 Artur Frysiak <artur@frysiak.net> 456fe24
- rel. 1

* Wed Mar 23 2011 Artur Frysiak <artur@frysiak.net> 83d7d72
- up to 0.14.1

* Tue Mar 22 2011 Artur Frysiak <artur@frysiak.net> 86f3578
- merge DEVEL branch

* Tue Mar 22 2011 Caleb Maclennan <caleb@alerque.com> 2c40332
- Up to 0.14.0
- Rel 0.1 because bug in stable version of vala causes build fail. https://bugs.freedesktop.org/show_bug.cgi?id=32673

* Wed Feb 23 2011 Marcin Banasiak <marcin.banasiak@gmail.com> fc81d7f
- stable branch on HEAD (0.13.x moved to DEVEL)

* Mon Feb 21 2011 Artur Frysiak <artur@frysiak.net> f2566bc
- updated to 0.13.13

* Fri Dec 17 2010 Caleb Maclennan <caleb@alerque.com> 1256812
- Up to 0.13.9

